<?php
	class MyMemberURL {

		public static function renderMyProfileURL( $p = array() ) {
			require_once( $GLOBALS["site_root"] . "/includes/urlgen/MyUser.inc.php" );
			return MyUserURL::renderMyProfileURL( $p );
		}

		public static function renderMyStatusURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/tagsagi-ugyintezes/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/status/" , $p );
			}
		}

		public static function renderMyLanguagesURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/adataim/nyelvek/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-profile/languages/" , $p );
			}
		}
		
		public static function renderMyLanguagePairsURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/adataim/nyelvparok/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-profile/language-pairs/" , $p );
			}
		}
		
		public static function renderMyMembershipsURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/adataim/szakmai-tagsagok/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-profile/professional-memberships/" , $p );
			}
		}
		
		public static function renderMyCapacityURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/adataim/kapacitas/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-profile/capacity/" , $p );
			}
		}
		
		public static function renderMyCATURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/adataim/cat/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-profile/cat/" , $p );
			}
		}
		
		public static function renderMyUserInterfaceURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/adataim/felhasznaloi-felulet/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-profile/user-interface/" , $p );
			}
		}
		
		public static function renderMyMessagesURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/uzenetek/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/messages/" , $p );
			}
		}
		
		public static function renderMyBlueBoardURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/visszajelzes/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/feedback/" , $p );
			}
		}
		public static function renderMyQuoteRequestsURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlatkereseim/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-quote-requests/" , $p );
			}
		}
		public static function renderMyQuotesURL( $p = array() ) {
			switch ($GLOBALS["language"]) {
			default:
			case "hu": return FNTH_render_url( $GLOBALS["site_www"] . "/ajanlatteteleim/" , $p );
			case "en": return FNTH_render_url( $GLOBALS["site_www"] . "/my-quotes/" , $p );
			}
		}
		
	}

?>
